Get agent
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Agents
Get agent
Retrieve a single agent by ID
GET
/
agents
/
{id}
Get agent
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));This single-agent endpoint is not independently verified against a live call in
this documentation set — only List agents
has been confirmed. If this returns a
404, use List agents and find your
agent by id there instead.Path parameters
string
required
The agent ID
curl https://prod-comms-engine-api.20x.business/api/v1/agents/AGENT_ID \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
requests.get(
"https://prod-comms-engine-api.20x.business/api/v1/agents/AGENT_ID",
headers={"Authorization": f"Bearer {API_KEY}"},
)
await fetch("https://prod-comms-engine-api.20x.business/api/v1/agents/AGENT_ID", {
headers: { Authorization: `Bearer ${API_KEY}` },
});
Response
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Support Agent",
"agent_prompt": "You are a helpful customer support agent...",
"llm_model_id": "gpt-4-turbo",
"is_active": true,
"created_at": "2026-01-15T10:30:00Z"
}

